Package org.eclipse.emf.compare.rcp.ui.internal.configuration

## Class SideLabelProvider

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.rcp.ui.internal.configuration.SideLabelProvider

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`

    public class SideLabelProvider
    extends AdapterImpl

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Constructor Summary

Constructors
`SideLabelProvider​(String ancestorLabel, String leftLabel, String rightLabel, org.eclipse.swt.graphics.Image ancestorImage, org.eclipse.swt.graphics.Image leftImage, org.eclipse.swt.graphics.Image rightImage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Image` `getAncestorImage()`
`String` `getAncestorLabel()`
`org.eclipse.swt.graphics.Image` `getLeftImage()`
`String` `getLeftLabel()`
`org.eclipse.swt.graphics.Image` `getRightImage()`
`String` `getRightLabel()`
`boolean` `isAdapterForType​(Object type)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SideLabelProvider

    public SideLabelProvider​(String ancestorLabel,
                             String leftLabel,
                             String rightLabel,
                             org.eclipse.swt.graphics.Image ancestorImage,
                             org.eclipse.swt.graphics.Image leftImage,
                             org.eclipse.swt.graphics.Image rightImage)

### Method Detail

#### isAdapterForType

    public boolean isAdapterForType​(Object type)

Specified by:
  `isAdapterForType` in interface `Adapter`
Overrides:
  `isAdapterForType` in class `AdapterImpl`
See Also:
  `AdapterImpl.isAdapterForType(java.lang.Object)`

#### getAncestorLabel

    public String getAncestorLabel()

#### getLeftLabel

    public String getLeftLabel()

#### getRightLabel

    public String getRightLabel()

#### getAncestorImage

    public org.eclipse.swt.graphics.Image getAncestorImage()

#### getLeftImage

    public org.eclipse.swt.graphics.Image getLeftImage()

#### getRightImage

    public org.eclipse.swt.graphics.Image getRightImage()